<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData
dim strName

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether the form has been submitted
				if request.form = "" then
					
					'display add category header
					response.write("<h1>Add categories</h1>")
					
					'display add category details
					response.write("<p>")
						response.write("Use the form below to add a new category to the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					response.write("<p>")
						response.write("New categories are automatically added to the end of the current category order. To change the category order please use the edit category function.")
					response.write("</p>")
					
					'build category form
					response.write("<form action='category_add.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new categories.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Category name</b></label>:<br />The name of the category that you wish to create.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='2' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if clean_text(request.form("name"), 0) <> "" then
						strName = clean_text(request.form("name"), 0)
					else
						response.redirect("../error.asp?Type=Categories&Error=Name&Redirect=/Admin/category_add.asp")
					end if
					
					'check whether category name already exists
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID FROM FB_Categories WHERE Category_Title = '"& strName &"';"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intCategoriesCount <> 0 then
						response.redirect("../error.asp?Type=Categories&Error=Duplicate&Redirect=/Admin/category_add.asp")
					end if
					
					'count number of categories that already exist
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID FROM FB_Categories;"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'insert specified category
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "INSERT INTO FB_Categories (Category_Title, Category_Order) VALUES ('"& strName &"', "& intCategoriesCount &")"
					rsCategories.cursortype = 2
					rsCategories.locktype = 3
					rsCategories.open sqlCategories, adoConn
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Category added</h1>")
					
					response.write("<p>")
						response.write("The category has been successfully added. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>