<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsComments, sqlComments, intCommentsCount, arrCommentsData
dim intCommentsLoop, intComment

'load and check variables
if request.querystring("Comment") <> "" and isnumeric(request.querystring("Comment")) = true then
	intComment = int(request.querystring("Comment"))
end if

'check comments are enabled
if intBlogCommentEnabled = 0 then
	response.redirect("../error.asp?Type=Comments&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(3)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether a comment has been selected
				if intComment = "" then
					
					'display comment header
					response.write("<h1>Edit comments</h1>")
					
					'display commentdetails
					response.write("<p>")
						response.write("The details of the last 50 comments posted to the Forest Blog are listed below. Click any of the appropriate <i>edit</i> links to edit the specified comment.")
					response.write("</p>")
					
					response.write("<p>")
						response.write("Alternatively enter the comment ID number in the box provided below to edit a specific comment.")
					response.write("</p>")
					
					'build search form
					response.write("<form action='comments_edit.asp' method='get' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<p>")
							response.write("<input id='Comment' name='Comment' type='text' value="""" size='32' maxlength='200' tabindex='1' /> <input id='submit' name='submit' type='submit' tabindex='2' value=""Search"" />")
						response.write("</p>")
						
					response.write("</form>")
					
					'grab last 50 comments
					set rsComments = server.createobject("adodb.recordset")
					
					'set query depending on database type
					if strDatabase = "MSSQL" then
						sqlComments = "SELECT TOP 50 Comment_ID, Comment_Author_Name FROM FB_Comments WHERE Comment_Status = 1 ORDER BY Comment_DATE ASC;"
					else
						sqlComments = "SELECT Comment_ID, Comment_Author_Name FROM FB_Comments WHERE Comment_Status = 1 ORDER BY Comment_DATE ASC LIMIT 50;"
					end if
					rsComments.cursorlocation = 3
					rsComments.open sqlComments, adoConn
					if not (rsComments.bof or rsComments.eof) then
						intCommentsCount = rsComments.recordcount
						arrCommentsData = rsComments.getrows()
					else
						intCommentsCount = 0
					end if
					rsComments.close
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of all the comments that are for editing.'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Comment author</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intCommentsLoop = 0
						
						'loop throug all categories
						do until intCommentsLoop = intCommentsCount
							
							response.write("<tr>")
								response.write("<td>"& SQL_decode(arrCommentsData(1, intCommentsLoop)) &"</td><td class='options'><a href='comments_edit.asp?Comment="& arrCommentsData(0, intCommentsLoop) &"' title='Edit article'>Edit</a></td>")
							response.write("</tr>")
							
							'increment query count
							intCommentsLoop = intCommentsLoop + 1
							
						loop
						
					response.write("</table>")
					
				else
					
					'check valid comment has been specified
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "SELECT Comments.Comment_ID, Articles.Article_ID, Articles.Article_Title, Comments.Comment_Author_Name, Comments.Comment_Author_Email, Comments.Comment_Author_Website, Comments.Comment_Author_Address, Comments.Comment_Content, Comments.Comment_Status FROM FB_Comments AS Comments INNER JOIN FB_Articles AS Articles ON Comments.Comment_Article_ID = Articles.Article_ID WHERE Comments.Comment_ID = "& intComment &";"
					rsComments.cursorlocation = 3
					rsComments.open sqlComments, adoConn
					if not (rsComments.bof or rsComments.eof) then
						intCommentsCount = rsComments.recordcount
						arrCommentsData = rsComments.getrows()
					else
						intCommentsCount = 0
					end if
					rsComments.close
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intCommentsCount = 0 then
						response.redirect("../error.asp?Type=Comments&Error=Comment&Redirect=/Admin/comments_edit.asp")
					end if					
					
					'display comment header
					response.write("<h1>Edit comments</h1>")
					
					'display commentdetails
					response.write("<p>")
						response.write("Use the form below to edit the specified comment. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build article form
					response.write("<form action='comments_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing comments.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Article title</b>:<br />The article that this comment is associated with.</td>")
								response.write("<td class='details'><a href='"& strBlogLocation &"/default.asp?Display="& arrCommentsData(1, 0) &"' title='Disply article "& arrCommentsData(2, 0) &"'>"& arrCommentsData(2, 0) &"</a></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='author'><b>Author name</b></label>:<br />The name of the comment's author.</td>")
								response.write("<td class='details'><input id='author' name='author' type='text' value="""& SQL_decode(arrCommentsData(3, 0)) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='email'><b>Author email</b></label>:<br />The email address of the comment's author.</td>")
								response.write("<td class='details'><input id='email' name='email' type='text' value="""& SQL_decode(arrCommentsData(4, 0)) &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='website'><b>Author website</b></label>:<br />The website address of the comment's author.</td>")
								response.write("<td class='details'><input id='website' name='website' type='text' value="""& SQL_decode(arrCommentsData(5, 0)) &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Author address</b>:<br />The IP address of the comment's author.</td>")
								response.write("<td class='details'>"& SQL_decode(arrCommentsData(6, 0)) &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='text'><b>Comment content</b></label>:<br />Edit the comment content here, HTML is disabled.</td>")
								response.write("<td class='details'><textarea id='text' name='text' cols='' rows='15' tabindex='4' class='textarea'>"& transform_HTML(arrCommentsData(7, 0)) &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete comment</b></label>:<br />Tick this box to delete this comment from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='5' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input name='comment' type='hidden' value="""& arrCommentsData(0, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='6' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>