<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsEvents, sqlEvents, intEventsCount, arrEventsData
dim intEvent, intEventsLoop, intYear

'load and check variables
if request.querystring("Event") <> "" and isnumeric(request.querystring("Event")) = true then
	intEvent = int(request.querystring("Event"))
end if

'check events are enabled
if intBlogEventsEnabled = 0 then
	response.redirect("../error.asp?Type=Events&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether an event has been specified
				if intEvent = "" then
					
					'display event header
					response.write("<h1>Edit events</h1>")
					
					'display events details
					response.write("<p>")
						response.write("The details of all of the events currently defined in the Forest Blog that have not yet run are listed below. Click on the appropriate edit link to edit the specified event.")
					response.write("</p>")
					
					'grab all events that have not run
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "SELECT Event_ID, Event_Title FROM FB_Events WHERE Event_Date_Start >= '"& search_time("d", -7) &"' ORDER BY Event_Date_Start ASC;"
					rsEvents.cursorlocation = 3
					rsEvents.open sqlEvents, adoConn
					if not (rsEvents.bof or rsEvents.eof) then
						intEventsCount = rsEvents.recordcount
						arrEventsData = rsEvents.getrows()
					else
						intEventsCount = 0
					end if
					rsEvents.close
					set rsEvents = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of all the events that exist within the database'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Event title</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intEventsLoop = 0
						
						'loop throug all categories
						do until intEventsLoop = intEventsCount
							
							response.write("<tr>")
							
								response.write("<td>"& SQL_decode(arrEventsData(1, intEventsLoop)) &"</td><td class='options'><a href='events_edit.asp?Event="& arrEventsData(0, intEventsLoop) &"' title='Edit event'>Edit</a></td>")
									
							response.write("</tr>")
							
							'increment query count
							intEventsLoop = intEventsLoop + 1
							
						loop
						
					response.write("</table>")
					
				else
					
					'display events header
					response.write("<h1>Edit events</h1>")
					
					'display events details
					response.write("<p>")
						response.write("Use the form below to edit the specified event. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'grab event details
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "SELECT Event_ID, Event_Title, Event_Description, Event_Date_Start FROM FB_Events WHERE Event_ID = "& intEvent &";"
					rsEvents.cursorlocation = 3
					rsEvents.open sqlEvents, adoConn
					if not (rsEvents.bof or rsEvents.eof) then
						intEventsCount = rsEvents.recordcount
						arrEventsData = rsEvents.getrows()
					else
						intEventsCount = 0
					end if
					rsEvents.close
					set rsEvents = nothing
					
					'check for valid event
					if intEventsCount = 0 then
						response.redirect("../error.asp?Type=Events&Error=Event&Redirect=/Admin/events_edit.asp")
					end if
					
					'build events form
					response.write("<form action='events_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new events.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='title'><b>Event title</b></label>:<br />The title of the event that you wish to add.</td>")
								response.write("<td class='details'><input id='title' name='title' type='text' value="""& SQL_decode(arrEventsData(1, 0)) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='description'><b>Event description</b></label>:<br />The description of the event that you wish to add.</td>")
								response.write("<td class='details'><textarea id='description' name='description' cols='' rows='10' tabindex='2' class='textarea'>"& SQL_decode(arrEventsData(2, 0)) &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Start date</b>:<br />The start date of the event that you wish to add.</td>")
								response.write("<td class='details'>")
									
									response.write("<ul>")
										response.write("<li class='day'><label for='day'>Day</label></li>")
										response.write("<li class='month'><label for='month'>Month</label></li>")
										response.write("<li class='year'><label for='year'>Year</label></li>")
									response.write("</ul>")
									
									response.write("<ul>")
										response.write("<li class='day'>")
											response.write("<select id='day' name='day' tabindex='3'>")
												if mid(arrEventsData(3, 0), 7, 2) = "01" then
													response.write("<option value=""01"" selected='selected'>01</option>")
												else
													response.write("<option value=""01"">01</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "02" then
													response.write("<option value=""02"" selected='selected'>02</option>")
												else
													response.write("<option value=""02"">02</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "03" then
													response.write("<option value=""03"" selected='selected'>03</option>")
												else
													response.write("<option value=""03"">03</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "04" then
													response.write("<option value=""04"" selected='selected'>04</option>")
												else
													response.write("<option value=""04"">04</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "05" then
													response.write("<option value=""05"" selected='selected'>05</option>")
												else
													response.write("<option value=""05"">05</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "06" then
													response.write("<option value=""06"" selected='selected'>06</option>")
												else
													response.write("<option value=""06"">06</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "07" then
													response.write("<option value=""07"" selected='selected'>07</option>")
												else
													response.write("<option value=""07"">07</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "08" then
													response.write("<option value=""08"" selected='selected'>08</option>")
												else
													response.write("<option value=""08"">08</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "09" then
													response.write("<option value=""09"" selected='selected'>09</option>")
												else
													response.write("<option value=""09"">09</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "10" then
													response.write("<option value=""10"" selected='selected'>10</option>")
												else
													response.write("<option value=""10"">10</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "11" then
													response.write("<option value=""11"" selected='selected'>11</option>")
												else
													response.write("<option value=""11"">11</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "12" then
													response.write("<option value=""12"" selected='selected'>12</option>")
												else
													response.write("<option value=""12"">12</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "13" then
													response.write("<option value=""13"" selected='selected'>13</option>")
												else
													response.write("<option value=""13"">13</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "14" then
													response.write("<option value=""14"" selected='selected'>14</option>")
												else
													response.write("<option value=""14"">14</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "15" then
													response.write("<option value=""15"" selected='selected'>15</option>")
												else
													response.write("<option value=""15"">15</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "16" then
													response.write("<option value=""16"" selected='selected'>16</option>")
												else
													response.write("<option value=""16"">16</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "17" then
													response.write("<option value=""17"" selected='selected'>17</option>")
												else
													response.write("<option value=""17"">17</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "18" then
													response.write("<option value=""18"" selected='selected'>18</option>")
												else
													response.write("<option value=""18"">18</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "19" then
													response.write("<option value=""19"" selected='selected'>19</option>")
												else
													response.write("<option value=""19"">19</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "20" then
													response.write("<option value=""20"" selected='selected'>20</option>")
												else
													response.write("<option value=""20"">20</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "21" then
													response.write("<option value=""21"" selected='selected'>21</option>")
												else
													response.write("<option value=""21"">21</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "22" then
													response.write("<option value=""22"" selected='selected'>22</option>")
												else
													response.write("<option value=""22"">22</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "23" then
													response.write("<option value=""23"" selected='selected'>23</option>")
												else
													response.write("<option value=""23"">23</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "24" then
													response.write("<option value=""24"" selected='selected'>24</option>")
												else
													response.write("<option value=""24"">24</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "25" then
													response.write("<option value=""25"" selected='selected'>25</option>")
												else
													response.write("<option value=""25"">25</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "26" then
													response.write("<option value=""26"" selected='selected'>26</option>")
												else
													response.write("<option value=""26"">26</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "27" then
													response.write("<option value=""27"" selected='selected'>27</option>")
												else
													response.write("<option value=""27"">27</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "28" then
													response.write("<option value=""28"" selected='selected'>28</option>")
												else
													response.write("<option value=""28"">28</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "29" then
													response.write("<option value=""29"" selected='selected'>29</option>")
												else
													response.write("<option value=""29"">29</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "30" then
													response.write("<option value=""30"" selected='selected'>30</option>")
												else
													response.write("<option value=""30"">30</option>")
												end if
												if mid(arrEventsData(3, 0), 7, 2) = "31" then
													response.write("<option value=""31"" selected='selected'>31</option>")
												else
													response.write("<option value=""31"">31</option>")
												end if
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='month'>")
											response.write("<select id='month' name='month' tabindex='4'>")
												if mid(arrEventsData(3, 0), 5, 2) = "01" then
													response.write("<option value=""01"" selected='selected'>January</option>")
												else
													response.write("<option value=""01"">January</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "02" then
													response.write("<option value=""02"" selected='selected'>February</option>")
												else
													response.write("<option value=""02"">February</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "03" then
													response.write("<option value=""03"" selected='selected'>March</option>")
												else
													response.write("<option value=""03"">March</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "04" then
													response.write("<option value=""04"" selected='selected'>April</option>")
												else
													response.write("<option value=""04"">April</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "05" then
													response.write("<option value=""05"" selected='selected'>May</option>")
												else
													response.write("<option value=""05"">May</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "06" then
													response.write("<option value=""06"" selected='selected'>June</option>")
												else
													response.write("<option value=""06"">June</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "07" then
													response.write("<option value=""07"" selected='selected'>July</option>")
												else
													response.write("<option value=""07"">July</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "08" then
													response.write("<option value=""08"" selected='selected'>August</option>")
												else
													response.write("<option value=""08"">August</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "09" then
													response.write("<option value=""09"" selected='selected'>September</option>")
												else
													response.write("<option value=""09"">September</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "10" then
													response.write("<option value=""10"" selected='selected'>October</option>")
												else
													response.write("<option value=""10"">October</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "11" then
													response.write("<option value=""11"" selected='selected'>November</option>")
												else
													response.write("<option value=""11"">November</option>")
												end if
												if mid(arrEventsData(3, 0), 5, 2) = "12" then
													response.write("<option value=""12"" selected='selected'>December</option>")
												else
													response.write("<option value=""12"">December</option>")
												end if
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='year'>")
											response.write("<select id='year' name='year' tabindex='5'>")
												
												'loop three years in to the future
												for intYear = 2005 to year(date) + 3
													
													if intYear = int(left(arrEventsData(3, 0), 4)) then
														response.write("<option value="""& intYear &""" selected='selected'>"& intYear &"</option>")
													else
														response.write("<option value="""& intYear &""">"& intYear &"</option>")
													end if
													
												next
												
											response.write("</select>")
										response.write("</li>")
									response.write("</ul>")								
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Start time</b>:<br />The time that the event will start.</td>")
								response.write("<td class='details'>")
									
									response.write("<ul>")
										response.write("<li class='hour'><label for='hour'>Hour</label></li>")
										response.write("<li class='minute'><label for='minute'>Minute</label></li>")
										response.write("<li class='minute'>&nbsp;</li>")
									response.write("</ul>")
									
									response.write("<ul>")
										response.write("<li class='hour'>")
											response.write("<select id='hour' name='hour' tabindex='6'>")
												if mid(arrEventsData(3, 0), 9, 2) = "00" then
													response.write("<option value=""00"" selected='selected'>00</option>")
												else
													response.write("<option value=""00"">00</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "01" then
													response.write("<option value=""01"" selected='selected'>01</option>")
												else
													response.write("<option value=""01"">01</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "02" then
													response.write("<option value=""02"" selected='selected'>02</option>")
												else
													response.write("<option value=""02"">02</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "03" then
													response.write("<option value=""03"" selected='selected'>03</option>")
												else
													response.write("<option value=""03"">03</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "04" then
													response.write("<option value=""04"" selected='selected'>04</option>")
												else
													response.write("<option value=""04"">04</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "05" then
													response.write("<option value=""05"" selected='selected'>05</option>")
												else
													response.write("<option value=""05"">05</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "06" then
													response.write("<option value=""06"" selected='selected'>06</option>")
												else
													response.write("<option value=""06"">06</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "07" then
													response.write("<option value=""07"" selected='selected'>07</option>")
												else
													response.write("<option value=""07"">07</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "08" then
													response.write("<option value=""08"" selected='selected'>08</option>")
												else
													response.write("<option value=""08"">08</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "09" then
													response.write("<option value=""09"" selected='selected'>09</option>")
												else
													response.write("<option value=""09"">09</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "10" then
													response.write("<option value=""10"" selected='selected'>10</option>")
												else
													response.write("<option value=""10"">10</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "11" then
													response.write("<option value=""11"" selected='selected'>11</option>")
												else
													response.write("<option value=""11"">11</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "12" then
													response.write("<option value=""12"" selected='selected'>12</option>")
												else
													response.write("<option value=""12"">12</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "13" then
													response.write("<option value=""13"" selected='selected'>13</option>")
												else
													response.write("<option value=""13"">13</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "14" then
													response.write("<option value=""14"" selected='selected'>14</option>")
												else
													response.write("<option value=""14"">14</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "15" then
													response.write("<option value=""15"" selected='selected'>15</option>")
												else
													response.write("<option value=""15"">15</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "16" then
													response.write("<option value=""16"" selected='selected'>16</option>")
												else
													response.write("<option value=""16"">16</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "17" then
													response.write("<option value=""17"" selected='selected'>17</option>")
												else
													response.write("<option value=""17"">17</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "18" then
													response.write("<option value=""18"" selected='selected'>18</option>")
												else
													response.write("<option value=""18"">18</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "19" then
													response.write("<option value=""19"" selected='selected'>19</option>")
												else
													response.write("<option value=""19"">19</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "20" then
													response.write("<option value=""20"" selected='selected'>20</option>")
												else
													response.write("<option value=""20"">20</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "21" then
													response.write("<option value=""21"" selected='selected'>21</option>")
												else
													response.write("<option value=""21"">21</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "22" then
													response.write("<option value=""22"" selected='selected'>22</option>")
												else
													response.write("<option value=""22"">22</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "23" then
													response.write("<option value=""23"" selected='selected'>23</option>")
												else
													response.write("<option value=""23"">23</option>")
												end if
												if mid(arrEventsData(3, 0), 9, 2) = "24" then
													response.write("<option value=""24"" selected='selected'>24</option>")
												else
													response.write("<option value=""24"">24</option>")
												end if
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='minute'>")
											response.write("<select id='minute' name='minute' tabindex='7'>")
												if mid(arrEventsData(3, 0), 11, 2) = "00" then
													response.write("<option value=""00"" selected='selected'>00</option>")
												else
													response.write("<option value=""00"">00</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "05" then
													response.write("<option value=""05"" selected='selected'>05</option>")
												else
													response.write("<option value=""05"">05</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "10" then
													response.write("<option value=""10"" selected='selected'>10</option>")
												else
													response.write("<option value=""10"">10</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "15" then
													response.write("<option value=""15"" selected='selected'>15</option>")
												else
													response.write("<option value=""15"">15</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "20" then
													response.write("<option value=""20"" selected='selected'>20</option>")
												else
													response.write("<option value=""20"">20</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "25" then
													response.write("<option value=""25"" selected='selected'>25</option>")
												else
													response.write("<option value=""25"">25</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "30" then
													response.write("<option value=""30"" selected='selected'>30</option>")
												else
													response.write("<option value=""30"">30</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "35" then
													response.write("<option value=""35"" selected='selected'>35</option>")
												else
													response.write("<option value=""35"">35</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "40" then
													response.write("<option value=""40"" selected='selected'>40</option>")
												else
													response.write("<option value=""40"">40</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "45" then
													response.write("<option value=""45"" selected='selected'>45</option>")
												else
													response.write("<option value=""45"">45/option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "50" then
													response.write("<option value=""50"" selected='selected'>50</option>")
												else
													response.write("<option value=""50"">50</option>")
												end if
												if mid(arrEventsData(3, 0), 11, 2) = "55" then
													response.write("<option value=""55"" selected='selected'>55</option>")
												else
													response.write("<option value=""55"">55</option>")
												end if
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='minute'>&nbsp;</li>")
									response.write("</ul>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete event</b></label>:<br />Tick this box to delete this event from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='8' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input name='event' type='hidden' value="""& arrEventsData(0, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='9' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>