<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsLinks, sqlLinks, intLinksCount, arrLinksData, rsOrder, sqlOrder
dim strTitle, strAddress, strImage
dim intLink, intLinksLoop, intOrder, intOrderLoop

'load and check variables
if request.querystring("Link") <> "" and isnumeric(request.querystring("Link")) = true then
	intLink = int(request.querystring("Link"))
end if

'check links are enabled
if intBlogLinkEnabled = 0 then
	response.redirect("../error.asp?Type=Links&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether link has been selected
				if intLink = "" then
					
					'display edit links header
					response.write("<h1>Edit links</h1>")
					
					'display link details
					response.write("<p>")
						response.write("The details of all of the links currently defined in the Forest Blog are listed below. Click on the appropriate edit link to edit the specified link.")
					response.write("</p>")
					
					'grab all currently defined links
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "SELECT Link_ID, Link_Title FROM FB_Links ORDER BY Link_Order ASC;"
					rsLinks.cursorlocation = 3
					rsLinks.open sqlLinks, adoConn
					if not (rsLinks.bof or rsLinks.eof) then
						intLinksCount = rsLinks.recordcount
						arrLinksData = rsLinks.getrows()
					else
						intLinksCount = 0
					end if
					rsLinks.close
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of all the links that exist within the database'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Link Title</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intLinksLoop = 0
						
						'loop throug all categories
						do until intLinksLoop = intLinksCount
							
							response.write("<tr>")
							
								response.write("<td>"& SQL_decode(arrLinksData(1, intLinksLoop)) &"</td><td class='options'><a href='links_edit.asp?Link="& arrLinksData(0, intLinksLoop) &"' title='Edit link'>Edit</a></td>")
									
							response.write("</tr>")
							
							'increment query count
							intLinksLoop = intLinksLoop + 1
							
						loop
						
					response.write("</table>")
					
				else
					
					'display edit links header
					response.write("<h1>Edit links</h1>")
					
					'display category details
					response.write("<p>")
						response.write("Use the form below to edit the specified link. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'grab specified link data
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "SELECT Link_ID, Link_Title, Link_Address, Link_Image, Link_Order FROM FB_Links WHERE Link_ID = "& intLink &";"
					rsLinks.cursorlocation = 3
					rsLinks.open sqlLinks, adoConn
					if not (rsLinks.bof or rsLinks.eof) then
						intLinksCount = rsLinks.recordcount
						arrLinksData = rsLinks.getrows()
					else
						intLinksCount = 0
					end if
					rsLinks.close
					set rsLinks = nothing
					
					'check link has been returned
					if intLinksCount = 0 then
						response.redirect("../error.asp?Type=Links&Error=Link&Redirect=/Admin/category_add.asp")
					end if
					
					'build link form
					response.write("<form action='links_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new links.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='title'><b>Link title</b></label>:<br />The title of the link that you wish to create.</td>")
								response.write("<td class='details'><input id='title' name='title' type='text' value="""& SQL_decode(arrLinksData(1, 0)) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='address'><b>Link address</b></label>:<br />The address of the link that you wish to create.</td>")
								response.write("<td class='details'><input id='address' name='address' type='text' value="""& SQL_decode(arrLinksData(2, 0)) &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='image'><b>Link image</b></label>:<br />The location of the image that you wish to associate with the link.</td>")
								response.write("<td class='details'><input id='image' name='image' type='text' value="""& SQL_decode(arrLinksData(3, 0)) &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='neworder'><b>Link order</b></label>:<br />Set the order in which the link should appear.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='neworder' name='neworder' tabindex='5' class='select'>")
										
										'grab total categories
										set rsOrder = server.createobject("adodb.recordset")
										sqlOrder = "SELECT COUNT(*) AS intOrder FROM FB_Links;"
										rsOrder.cursorlocation = 3
										rsOrder.open sqlOrder, adoConn
										if not (rsOrder.bof or rsOrder.eof) then
											intOrder = rsOrder("intOrder")
										else
											intOrder = 0
										end if
										rsOrder.close
										set rsOrder = nothing
										
										'initialise counter
										intOrderLoop = 0
										
										'loop through all available options
										do until intOrderLoop = intOrder
											
											'check for current order
											if intOrderLoop = arrLinksData(4, 0) then
												response.write("<option value="""& intOrderLoop &""" selected='selected'>"& intOrderLoop &"</option>")
											else
												response.write("<option value="""& intOrderLoop &""">"& intOrderLoop &"</option>")
											end if
											
											'increment counter
											intOrderLoop = intOrderLoop + 1
										
										loop
										
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete link</b></label>:<br />Tick this box to delete this link from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='6' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input name='link' type='hidden' value="""& arrLinksData(0, 0) &""" /><input name='order' type='hidden' value="""& arrLinksData(4, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='7' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>