<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSettings, sqlSettings
dim intArticles, intComments, intModeration, intRegistration, intLimit

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check form has not been submitted 
				if request.form = "" then
					
					'display articles header
					response.write("<h1>Article settings</h1>")
					
					'display articles details
					response.write("<p>")
						response.write("Use the form below to set the article settings for the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build settings form
					response.write("<form action='settings_articles.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing article settings.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='articles'><b>Article limit</b></label>:<br />Set the number of articles to be displayed by default.</td>")
								response.write("<td class='details'><input id='articles' name='articles' type='text' value="""& intBlogArticleLimit &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='comments'><b>Comments enabled</b></label>:<br />Enable or disable the posting of comments.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='comments' name='comments' tabindex='2' class='select'>")
										select case intBlogCommentEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='moderation'><b>Comment moderation</b></label>:<br />Enable or disable comment moderation by an administrator or author.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='moderation' name='moderation' tabindex='3' class='select'>")
										select case intBlogCommentModeration
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='registration'><b>Comment registration</b></label>:<br />Enable or disable the requirement for user to be registered before posting comments.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='registration' name='registration' tabindex='3' class='select'>")
										select case intBlogCommentRegistration
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='limit'><b>Comment limit</b></label>:<br />Set the number of seconds between each user comment.</td>")
								response.write("<td class='details'><input id='limit' name='limit' type='text' value="""& intBlogCommentLimit &""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
							response.write("</tr>")
						
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='5' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if request.form("articles") <> "" and isnumeric(request.form("articles")) = true then
						intArticles = int(request.form("articles"))
					else
						intArticles = 10
					end if
					
					if request.form("comments") <> "" and isnumeric(request.form("comments")) = true then
						intComments = int(request.form("comments"))
					else
						intComments = 0
					end if
					
					if request.form("moderation") <> "" and isnumeric(request.form("moderation")) = true then
						intModeration = int(request.form("moderation"))
					else
						intModeration = 0
					end if
					
					if request.form("registration") <> "" and isnumeric(request.form("registration")) = true then
						intRegistration = int(request.form("registration"))
					else
						intRegistration = 0
					end if
					
					if request.form("limit") <> "" and isnumeric(request.form("limit")) = true then
						intLimit = int(request.form("limit"))
					else
						intLimit = 30
					end if
					
					'update article settings
					set rsSettings = server.createobject("adodb.recordset")
					sqlSettings = "UPDATE FB_Configuration SET Blog_Article_Limit = "& intArticles &", Blog_Comment_Enabled = "& intComments &", Blog_Comment_Moderation = "& intModeration &", Blog_Comment_Registration = "& intRegistration &", Blog_Comment_Limit ="& intLimit &";"
					rsSettings.cursortype = 2
					rsSettings.locktype = 3
					rsSettings.open sqlSettings, adoConn
					set rsSettings = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Article settings updated</h1>")
					
					response.write("<p>")
						response.write("The article settings have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>