<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsUsers, sqlUsers, intUsersCount, arrUsersData, rsBan, sqlBan
dim intUser, intDuration
dim strReason

'load and check variables
if request.form("user") <> "" and isnumeric(request.form("user")) = true then
	intUser = int(request.form("user"))
else
	response.redirect("../error.asp?Type=Users&Error=User&Redirect=/Admin/users_edit.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check a valid user has been specified
				set rsUsers = server.createobject("adodb.recordset")
				sqlUsers = "SELECT User_ID, User_Address FROM FB_Users WHERE User_ID = "& intUser &";"
				rsUsers.cursorlocation = 3
				rsUsers.open sqlUsers, adoConn
				if not (rsUsers.bof or rsUsers.eof) then
					intUsersCount = rsUsers.recordcount
					arrUsersData = rsUsers.getrows()
				else
					intUsersCount = 0
				end if
				rsUsers.close
				set rsUsers = nothing
				
				'select action
				select case request.form("action")
					
					case "ban"
						
						if request.form("duration") <> "" and isnumeric(request.form("duration")) = true then
							intDuration = int(request.form("user"))
						else
							response.redirect("../error.asp?Type=Users&Error=Duration&Redirect=/Admin/users_edit.asp")	
						end if
						
						if clean_text(request.form("reason"), 0) <> "" then
							strReason = clean_text(request.form("reason"), 0)
						else
							response.redirect("../error.asp?Type=Users&Error=Reason&Redirect=/Admin/users_edit.asp")
						end if
						
						'ban user
						set rsBan = server.createobject("adodb.recordset")
						sqlBan = "UPDATE FB_Users SET User_Ban_Expires = '"& search_time("d", intDuration) &"', User_Ban_Reason = '"& strReason &"' WHERE User_ID = "& intUser &";"
						rsBan.cursortype = 2
						rsBan.locktype = 3
						rsBan.open sqlBan, adoConn
						set rsBan = nothing
						
						'increment query count
						intQuery = intQuery + 1
						
						'check whether to add IP address to the block list
						if int(request.form("address")) = 1 and arrUsersData(1, 0) <> "" then
							
							'add users IP address to the block list
							set rsBan = server.createobject("adodb.recordset")
							sqlBan = "INSERT INTO FB_Blocked (Block_Added, Block_Expires, Block_Reason, Block_Address) VALUES ('"& db_time(intBlogTimeOffset) &"', '"& search_time("d", intDuration) &"', '"& strReason &"', '"& arrUsersData(1, 0) &"');"
							rsBan.cursortype = 2
							rsBan.locktype = 3
							rsBan.open sqlBan, adoConn
							set rsBan = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
						end if
						
						'display confirmation
						response.write("<h1>User banned</h1>")
						
						response.write("<p>")
							response.write("The user has been successfully banned, if you selected to block their IP address is has now been added to the block list. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
						
						'set redirection
						response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
						
					case "clear"
						
						'clear user ban
						set rsBan = server.createobject("adodb.recordset")
						sqlBan = "UPDATE FB_Users SET User_Ban_Expires = NULL, User_Ban_Reason = NULL WHERE User_ID = "& intUser &";"
						rsBan.cursortype = 2
						rsBan.locktype = 3
						rsBan.open sqlBan, adoConn
						set rsBan = nothing
						
						'increment query count
						intQuery = intQuery + 1
						
						'check whether there is a valid IP address specified
						if arrUsersData(1, 0) <> "" then
							
							'remove IP address from block list
							set rsBan = server.createobject("adodb.recordset")
							sqlBan = "DELETE FROM FB_Blocked WHERE Block_Address = '"& arrUsersData(1, 0) &"';"
							rsBan.cursortype = 2
							rsBan.locktype = 3
							rsBan.open sqlBan, adoConn
							set rsBan = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
						end if
						
						'display confirmation
						response.write("<h1>Ban removed</h1>")
						
						response.write("<p>")
							response.write("The users ban has been successfully removed and they will now be able to log in again. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
						
						'set redirection
						response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
						
					case else
					
						response.redirect("../error.asp?Type=Users&Error=Action&Redirect=/Admin/users_edit.asp")
					
				end select
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>