<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData, rsArticle, sqlArticle, intArticleCount, arrArticleData, rsAdministrators, sqlAdministrators, intAdministratorsCount, arrAdministratorsData
dim objFSO, objTextfile, RegCharacters
dim strTitle, strExcerpt, strText, strImages, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody, strDestination
dim intCategoriesLoop, intAdministratorsLoop, intArticlesLoop, intCategory, intComments, intStatus, intLevel

'check permission
call level_check(2)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check form has been submitted
				if request.form = "" then
					
					'display article header
					response.write("<h1>Add article</h1>")
					
					'display article message
					response.write("<p>")
						response.write("Use the form below to add a new article to the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					select case session("FB_UserLevel")
						case 2
							response.write("<p>")
								response.write("As you are only rated as an Author your your article will have to approved by an Editor or an Administrator before it will be visible on the site.")
							response.write("</p>")
						case 3
							response.write("<p>")
								response.write("As you are rated as an Editor your your article will be automatically approved and will be visible on the site instantly. Don't forget to check the article authorisation lists for any as yet unauthorised articles.")
							response.write("</p>")
						case 4
							response.write("<p>")
								response.write("As you are rated as an Administrator your your article will be automatically approved and will be visible on the site instantly. Don't forget to check the article authorisation lists for any as yet unauthorised articles.")
							response.write("</p>")
					end select
					
					'grab all defined articles
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT CAtegory_ID, Category_Title FROM FB_Categories ORDER BY Category_Order ASC;"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build article form
					response.write("<form action='articles_add.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new articles.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='category'><b>Article category</b></label>:<br />Set the category that the article will be associated with.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='category' name='category' tabindex='1' class='select'>")
										
										'initialise counter
										intCategoriesLoop = 0
										
										'loop through all categories
										do until intCategoriesLoop = intCategoriesCount
											
											response.write("<option value="""& arrCategoriesData(0, intCategoriesLoop) &""">"& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"</option>")
											
											'incremement counter
											intCategoriesLoop  = intCategoriesLoop  + 1
											
										loop											
										
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Article title</b></label>:<br />The title of the article that you wish to create.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='excerpt'><b>Article excerpt</b></label>:<br />If this is a large article add an excerpt to provide a summary of the article on the front page rather than the full article.</td>")
								response.write("<td class='details'><textarea id='excerpt' name='excerpt' cols='' rows='10' tabindex='3' class='textarea'></textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='text'><b>Article content</b></label>:<br />Add the article content here. Articles can contain any valid HTML tags.</td>")
								response.write("<td class='details'><textarea id='text' name='text' cols='' rows='15' tabindex='4' class='textarea'></textarea></td>")
							response.write("</tr>")
							
							'check whether images are enabled
							if intBlogGalleryEnabled = 1 then
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='images'><b>Article images</b></label>:<br />Specify the folder where the images for this article are located. The folder is relative to the website root and must begin and end with a /.</td>")
									response.write("<td class='details'><input id='images' name='images' type='text' value="""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
								response.write("</tr>")
								
							end if
							
							'check whether comments are enabled
							if intBlogCommentEnabled = 1 then
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='comments'><b>Article comments</b></label>:<br />Set whether comments are enabled for this article.</td>")
									response.write("<td class='details'>")
										
										response.write("<select id='comments' name='comments' tabindex='6' class='select'>")
											response.write("<option value=""0"">Disabled</option>")
											response.write("<option value=""1"" selected='selected'>Enabled</option>")
										response.write("</select>")
										
									response.write("</td>")
								response.write("</tr>")
								
							end if
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='level'><b>Article level</b></label>:<br />The user level required to view the article.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='level' name='level' tabindex='7' class='select'>")
										response.write("<option value=""0"" selected='selected'>Any</option>")
										response.write("<option value=""1"">User</option>")
										response.write("<option value=""2"">Author</option>")
										response.write("<option value=""3"">Editor</option>")
										response.write("<option value=""4"">Administrator</option>")
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='8' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'set regular expression to check for alpha characters only 
					set regCharacters = new regexp
					regCharacters.Pattern = "[a-zA-Z]"
					
					'load and check variables
					if request.form("category") <> "" and isnumeric(request.form("category")) = true then
						intCategory = int(request.form("category"))
					else
						response.redirect("../error.asp?Type=Article&Error=Category&Redirect=/Admin/articles_add.asp")
					end if
					
					if SQL_encode(request.form("name")) <> "" then
						strTitle = SQL_encode(request.form("name"))
					else
						response.redirect("../error.asp?Type=Article&Error=Title&Redirect=/Admin/articles_add.asp")
					end if
					
					if SQL_encode(request.form("excerpt")) <> "" then
						strExcerpt = SQL_encode(request.form("excerpt"))
					end if
					
					if SQL_encode(request.form("text")) <> "" then
						strText = SQL_encode(request.form("text"))
					else
						response.redirect("../error.asp?Type=Article&Error=Content&Redirect=/Admin/articles_add.asp")
					end if
					
					if request.form("images") <> "" and intBlogGalleryEnabled = 1 then
						if instr(request.form("images"), " ") = 0 and regCharacters.test(request.form("images")) = true then
							strImages = request.form("images")
							if left(strImages, 1) <> "/" and left(strImages, 1) <> "\" then
								strImages = "/"& strImages
							end if
							 if right(strImages, 1) <> "/" and right(strImages, 1) <> "\" then
								strImages = strImages &"/"
							end if
						else
							strImages = NULL
						end if
					else
						strImages = NULL
					end if
					
					if request.form("comments") <> "" and isnumeric(request.form("comments")) = true and intBlogCommentEnabled = 1 then
						intComments = int(request.form("comments"))
					else
						intComments = intBlogCommentEnabled
					end if
					
					if session("FB_UserLevel") < 3 then
						intStatus = 0
					else
						intStatus = 1
					end if
					
					if request.form("level") <> "" and isnumeric(request.form("level")) = true then
						intLevel = int(request.form("level"))
					else
						intLevel = 0
					end if
					
					'check that a valid category has been specified
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intCategoriesCount = 0 then
						response.redirect("../error.asp?Type=Article&Error=Category&Redirect=/Admin/articles_add.asp")
					end if
					
					'check a valid folder has been specified
					if strImages <> "" and intBlogGalleryEnabled = 1 then
						
						'create file system obect
						set objFSO = server.createobject("scripting.filesystemobject")
						
						if objFSO.FolderExists(server.mappath("/") & strImages) = false then
							response.redirect("../error.asp?Type=Article&Error=Images&Redirect=/Admin/articles_add.asp")
						end if
						
						set objFSO = nothing
						
					end if
					
					'insert article
					set rsArticle = server.createobject("adodb.recordset")
					sqlArticle = "INSERT INTO FB_Articles (Article_User_ID, Article_Category_ID, Article_Title, Article_Excerpt, Article_Content, Article_Images, Article_Posted, Article_Status, Article_Comments, Article_Level) VALUES ("& session("FB_UserID") &", "& intCategory &", '"& strTitle &"', '"& strExcerpt &"', '"& strText &"', '"& strImages &"', '"& db_time(intBlogTimeOffset) &"', "& intStatus &", "& intComments &", "& intLevel &");"
					rsArticle.cursortype = 2
					rsArticle.locktype = 3
					rsArticle.open sqlArticle, adoConn
					set rsArticle = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check article status and whether emails are enabled
					if intStatus = 0 then
						
						'check whether email notification is enabled
						if intBlogEmailNotification = 1 then
						
							'grab details of all administrators
							set rsAdministrators = server.createobject("adodb.recordset")
							sqlAdministrators = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Level >= 3;"
							rsAdministrators.cursorlocation = 3
							rsAdministrators.open sqlAdministrators, adoConn
							if not (rsAdministrators.bof or rsAdministrators.eof) then
								intAdministratorsCount = rsAdministrators.recordcount
								arrAdministratorsData = rsAdministrators.getrows()
							else
								intAdministratorsCount = 0
							end if
							rsAdministrators.close
							set rsAdministrators = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'initialise counter
							intAdministratorsLoop = 0
							
							'loop through all administrators
							do until intAdministratorsLoop = intAdministratorsCount
								
								'set email message
								strEmailTo = SQL_decode(arrAdministratorsData(2, intAdministratorsLoop))
								strEmailFrom = strBlogEmailAddress
								strEmailFromName = strBlogTitle
								strEmailSubject = strBlogTitle &": New article"
								strEmailBody = "Hi "& SQL_decode(arrAdministratorsData(1, intAdministratorsLoop)) &",<p>A new article has been posted on the "& strBlogTitle &" blog that requires authorisation by an Editor or an Administrator. Please log in to the administration panel as soon as possible to authorise the article.</p>"& strBlogEmailSignature
								
								'send email
								call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
								
								'increment counter
								intAdministratorsLoop = intAdministratorsLoop + 1
								
							loop
							
						end if
						
					end if
					
					'display confirmation
					response.write("<h1>Article added</h1>")
					
					'check status
					if intStatus = 0 then
						response.write("<p>")
							response.write("Your article has been added to the database but is currently awaiting authorisation by an Editor or an Administrator. Your article will not appear until it has been successfully authorised. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
					else
						response.write("<p>")
							response.write("Your article has been successfully added to the database. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
					end if
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>