<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData, rsOrder, sqlOrder
dim intCategory, intCategoriesLoop, intOrder, intOrderLoop

'load and check variables
if request.querystring("Category") <> "" and isnumeric(request.querystring("Category")) = true then
	intCategory = int(request.querystring("Category"))
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether category has been selected
				if intCategory = "" then
					
					'display edit categories header
					response.write("<h1>Edit categories</h1>")
					
					'display category details
					response.write("<p>")
						response.write("The details of all of the categories currently defined in the Forest Blog are listed below. Click on the appropriate edit link to edit the specified category.")
					response.write("</p>")
					
					'grab all currently defined categories
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID, Category_Title, Category_Order FROM FB_Categories ORDER BY Category_Order ASC;"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of all the categories that exist within the database'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Category title</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intCategoriesLoop = 0
						
						'loop throug all categories
						do until intCategoriesLoop = intCategoriesCount
							
							response.write("<tr>")
							
								response.write("<td>"& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"</td><td class='options'><a href='category_edit.asp?Category="& arrCategoriesData(0, intCategoriesLoop) &"' title='Edit category'>Edit</a></td>")
									
							response.write("</tr>")
							
							'increment query count
							intCategoriesLoop = intCategoriesLoop + 1
							
						loop
						
					response.write("</table>")
						
				else
					
					'display edit categories header
					response.write("<h1>Edit categories</h1>")
					
					'display category details
					response.write("<p>")
						response.write("Use the form below to edit the specified category. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'grab category details
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID, Category_Title, Category_Order FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'check category has been returned
					if intCategoriesCount = 0 then
						response.redirect("../error.asp?Type=Categories&Error=Category&Redirect=/Admin/category_add.asp")
					end if
					
					'build category form
					response.write("<form action='category_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new categories.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Category name</b></label>:<br />The name of the category that you wish to create..</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""& arrCategoriesData(1, 0) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='neworder'><b>Category order</b></label>:<br />Set the order in which the category should appear.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='neworder' name='neworder' tabindex='2' class='select'>")
										
										'grab total categories
										set rsOrder = server.createobject("adodb.recordset")
										sqlOrder = "SELECT COUNT(*) AS intOrder FROM FB_Categories;"
										rsOrder.cursorlocation = 3
										rsOrder.open sqlOrder, adoConn
										if not (rsOrder.bof or rsOrder.eof) then
											intOrder = rsOrder("intOrder")
										else
											intOrder = 0
										end if
										rsOrder.close
										set rsOrder = nothing
										
										'initialise counter
										intOrderLoop = 0
										
										'loop through all available options
										do until intOrderLoop = intOrder
											
											'check for current order
											if intOrderLoop = arrCategoriesData(2, 0) then
												response.write("<option value="""& intOrderLoop &""" selected='selected'>"& intOrderLoop &"</option>")
											else
												response.write("<option value="""& intOrderLoop &""">"& intOrderLoop &"</option>")
											end if
											
											'increment counter
											intOrderLoop = intOrderLoop + 1
										
										loop
										
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete category</b></label>:<br />Tick this box to delete this category from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='3' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input name='category' type='hidden' value="""& arrCategoriesData(0, 0) &""" /><input name='order' type='hidden' value="""& arrCategoriesData(2, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='4' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>