<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSettings, sqlSettings
dim fso, fsoFolderRoot, fsoFolderSub
dim strDirectory, strName, strDescription, strTheme, strLocation, strFormat, strMetaKeywords, strMetaDescription, strSidebar
dim intFolders, intRegistration, intAuthorisation, intEnabled, intOffset, intPrivate

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check form has been submitted
				if request.form = "" then
					
					'display settings header
					response.write("<h1>General settings</h1>")
					
					'display settings details
					response.write("<p>")
						response.write("Use the form below to set the default settings for the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build settings form
					response.write("<form action='settings_general.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing general settings.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='enabled'><b>Blog enabled</b></label>:<br />Enable or disable the blog.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='enabled' name='enabled' tabindex='1' class='select'>")
										select case intBlogEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='private'><b>Blog private</b></label>:<br />Determines whether the blog is public or private.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='private' name='private' tabindex='2' class='select'>")
										select case intBlogPrivate
											case 0
												response.write("<option value=""0"" selected='selected'>Public</option>")
												response.write("<option value=""1"">Private</option>")
											case 1
												response.write("<option value=""0"">Public</option>")
												response.write("<option value=""1"" selected='selected'>Private</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Blog name</b></label>:<br />The name of the blog.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""& strBlogTitle &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='description'><b>Blog description</b></label>:<br />The blogs description.</td>")
								response.write("<td class='details'><input id='description' name='description' type='text' value="""& strBlogDescription &""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='registration'><b>Registration enabled</b></label>:<br />Enable or disable the user account registration.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='registration' name='registration' tabindex='5' class='select'>")
										select case intBlogAccountRegistration
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='authorisation'><b>Authorisation enabled</b></label>:<br />Enable or disable user account authorisation.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='authorisation' name='authorisation' tabindex='6' class='select'>")
										select case intBlogAccountAuthorisation
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='theme'><b>Blog theme</b></label>:<br />Sets the current theme for the blog.</td>")
								response.write("<td class='details'>")
									
									'set Themes directory	
									strDirectory = server.mappath("..") &"\Themes\"
									
									'grab themes folder details
									set fso = server.createobject("scripting.fileSystemobject")
									set fsoFolderRoot = fso.GetFolder(strDirectory)
									set fsoFolderSub = fsoFolderRoot.SubFolders
										
									response.write("<select id='theme' name='theme' class='select' tabindex='7'>")
										
										'loop through all theme directories
										for each intFolders in fsoFolderSub
											if intFolders.name = strBlogTheme then
												response.write "<option value="""& intFolders.Name &""" selected='selected'>"& intFolders.Name &"</option>"
											else
												response.write "<option value="""& intFolders.Name &""">"& intFolders.Name &"</option>"
											end if
										next
										
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='location'><b>Blog location</b></label>:<br />Sets the base URL of the blog, <i>do NOT include a trailing /</i>.</td>")
								response.write("<td class='details'><input id='location' name='location' type='text' value="""& strBlogLocation &""" size='22' maxlength='200' tabindex='8' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='format'><b>Time format</b></label>:<br />Sets the time format for all dates.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='format' name='format' tabindex='9' class='select'>")
										select case strBlogTimeFormat
											case "UK"
												response.write("<option value=""UK"" selected='selected'>UK (ddmmyyyy)</option>")
												response.write("<option value=""US"">US (mmddyyyy)</option>")
											case "US"
												response.write("<option value=""UK"">UK (ddmmyyyy)</option>")
												response.write("<option value=""US"" selected='selected'>US (mmddyyyy)</option>")
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='offset'><b>Time offset</b></label>:<br />The blogs time offset in hours, set to 0 to use the servers default time.</td>")
								response.write("<td class='details'><input id='offset' name='offset' type='text' value="""& intBlogTimeOffset &""" size='22' maxlength='200' tabindex='10' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='metakeywords'><b>Meta keywords</b></label>:<br />The blogs meta keywords, inserted on every page.</td>")
								response.write("<td class='details'><input id='metakeywords' name='metakeywords' type='text' value="""& strBlogMetaKeywords &""" size='22' maxlength='200' tabindex='11' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='metadescription'><b>Meta description</b></label>:<br />The blogs meta description, inserted on every page. <i>Do not use HTML tags</i>.</td>")
								response.write("<td class='details'><textarea id='metadescription' name='metadescription' cols='' rows='10' tabindex='12' class='textarea'>"& strBlogMetaDescription &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='sidebar'><b>Sidebar content</b></label>:<br />Custom content that will appear at the bottom of the sub-content column.</td>")
								response.write("<td class='details'><textarea id='sidebar' name='sidebar' cols='' rows='10' tabindex='13' class='textarea'>"& strBlogSidebar &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='14' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if request.form("enabled") <> "" and isnumeric(request.form("enabled")) = true then
						intEnabled = int(request.form("enabled"))
					else
						intEnabled = 0
					end if
					
					if request.form("private") <> "" and isnumeric(request.form("private")) = true then
						intPrivate = int(request.form("private"))
					else
						intPrivate = 0
					end if
					
					if clean_text(request.form("name"), 0) <> "" then
						strName = clean_text(request.form("name"), 0)
					else
						response.redirect("../error.asp?Type=General&Error=Name&Redirect=/Admin/settings_general.asp")
					end if
					
					if clean_text(request.form("description"), 0) <> "" then
						strDescription = clean_text(request.form("description"), 0)
					else
						strDescription = NULL
					end if
					
					if clean_text(request.form("theme"), 0) <> "" then
						strTheme = clean_text(request.form("theme"), 0)
					else
						response.redirect("../error.asp?Type=General&Error=Theme&Redirect=/Admin/settings_general.asp")
					end if
					
					if request.form("registration") <> "" and isnumeric(request.form("registration")) = true then
						intRegistration = int(request.form("registration"))
					else
						intRegistration = 0
					end if
					
					if request.form("authorisation") <> "" and isnumeric(request.form("authorisation")) = true then
						intAuthorisation = int(request.form("authorisation"))
					else
						intAuthorisation = 0
					end if
					
					if clean_text(request.form("location"), 0) <> "" then
						if left(request.form("location"), 7) <> "http://" then
							strLocation = "http://"& request.form("location")
						else
							strLocation = request.form("location")
						end if
					else
						response.redirect("../error.asp?Type=General&Error=Location&Redirect=/Admin/settings_general.asp")
					end if
					
					if clean_text(request.form("format"), 0) = "UK" or clean_text(request.form("format"), 0) = "US" then
						strFormat = clean_text(request.form("format"), 0)
					else
						response.redirect("../error.asp?Type=General&Error=Format&Redirect=/Admin/settings_general.asp"& request.form("format"))
					end if
					
					if request.form("offset") <> "" and isnumeric(request.form("offset")) = true then
						intOffset = request.form("offset")
					else
						response.redirect("../error.asp?Type=General&Error=Offset&Redirect=/Admin/settings_general.asp")
					end if
					
					if clean_text(request.form("metakeywords"), 0) <> "" then
						strMetaKeywords = clean_text(request.form("metakeywords"), 0)
					else
						strMetaKeywords = NULL
					end if
					
					if clean_text(request.form("metadescription"), 0) <> "" then
						strMetaDescription = clean_text(request.form("metadescription"), 0)
					else
						strMetaDescription = NULL
					end if
					
					if request.form("sidebar") <> "" then
						strSidebar = SQL_encode(request.form("sidebar"))
					else
						strSidebar = NULL
					end if
					
					'update general settings
					set rsSettings = server.createobject("adodb.recordset")
					sqlSettings = "UPDATE FB_Configuration SET Blog_Enabled = "& intEnabled &", Blog_Name = '"& strName &"', Blog_Description = '"& strDescription &"', Blog_Account_Registration = "& intRegistration &", Blog_Account_Authorisation = "& intAuthorisation &", Blog_Theme = '"& strTheme &"', Blog_Location = '"& strLocation &"', Blog_Time_Format = '"& strFormat &"', Blog_Time_Offset = "& intOffset &", Blog_Meta_Keywords = '"& strMetaKeywords &"', Blog_Meta_Description ='"& strMetaDescription &"', Blog_Private = "& intPrivate &", Blog_Sidebar = '"& strSidebar &"';"
					rsSettings.cursortype = 2
					rsSettings.locktype = 3
					rsSettings.open sqlSettings, adoConn
					set rsSettings = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>General settings updated</h1>")
					
					response.write("<p>")
						response.write("The general settings have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>