<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'This software if free provided under a linkware license.
'you may modify any part of the software at your own risk
'under the license that accompanies it.
'
'You may not remove, alter or otherwise disable all or any of 
'the hyperlinks to the Host Forest website (http://www.hostforest.co.uk).
'
'All links and text must remain unchanged, intact and visible
'when the pages are viewed unless you first obtain explicit written
'permission from the copyright holders.
'
'This software is provided WITHOUT warranty, with the implied warranty
'of merchantability, fitness for purpose or any other wannaties whether
'expressed or implied.
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->

<%
'dimension variables
dim rsBlocked, sqlBlocked, intBlockedCount, arrBlockedData
dim strAddress

'load and check variables
if request.servervariables("REMOTE_ADDR") <> "" then
	strAddress = request.servervariables("REMOTE_ADDR")
else
	strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
end if

'grab ban details for specified IP address
set rsBlocked = server.createobject("adodb.recordset")
sqlBlocked = "SELECT Block_Added, Block_Expires, Block_Reason FROM FB_Blocked WHERE Block_Address = '"& strAddress &"' AND (Block_Expires > "& db_time(intBlogTimeOffset) &" OR Block_Expires IS NULL);"
rsBlocked.cursortype = 3
rsBlocked.open sqlBlocked, adoConn
if not (rsBlocked.bof or rsBlocked.eof) then
	intBlockedCount = rsBlocked.recordcount
	arrBlockedData = rsBlocked.getrows()
else
	intBlockedCount = 0
end if
rsBlocked.close
set rsBlocked = nothing

'increment query count
intQuery = intQuery + 1

'check a valid ban has been found
if intBlockedCount = 0 then
	response.redirect(strBlogLocation &"/default.asp")
end if
%>

<title><%=strBlogTitle%> >> Blocked</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				<!--#include virtual="/Includes/inc-navigation.asp"-->
			</div>
			
			<div id="content">
				<%
				'display blog breadcrumb
				call display_breadcrumb()
				
				'display blocked header
				response.write("<h1>Blocked address</h1>")
				
				'display blocked reason
				response.write("<p>")
					response.write("There was a block placed on your IP address on "& web_time(arrBlockedData(0, 0), strBlogTimeFormat, "Full") &" for the following reason: <i>"& SQL_decode(arrBlockedData(2, 0)) &"</i>.")
				response.write("</p>")
				
				'check block expirey time
				if isnull(arrBlockedData(1, 0)) = true or arrBlockedData(1, 0) = "" then
					response.write("<p>")
						response.write("This block on your IP address is permanent and will not be removed.")
					response.write("</p>")
				else
					response.write("<p>")
						response.write("This block on your IP address will be removed on "& web_time(arrBlockedData(1, 0), strBlogTimeFormat, "Full") &".")
					response.write("</p>")
				end if
				%>
			</div>
			
			<div id="subcontent">
				<!--#include virtual="/Includes/inc-subcontent.asp"-->
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>