<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsArticles, sqlArticles, intArticlesCount, arrArticlesData, rsComments, sqlComments, intCommentsCount, arrCommentsData, rsDetails, sqlDetails, intDetailsCount, arrDetailsData
dim intCategory, intDisplay, intArticlesLoop, intCommentsLoop, intLevel
dim strTitle

'load and check variables
if request.querystring("Category") <> "" and isnumeric(request.querystring("Category")) = true then
	intCategory = int(request.querystring("Category"))
else
	intCategory = 0
end if

if request.querystring("Display") <> "" and isnumeric(request.querystring("Display")) = true then
	intDisplay = int(request.querystring("Display"))
end if

if session("FB_UserLevel") <> "" then
	intLevel = int(session("FB_UserLevel"))
else
	intLevel = 0
end if

if intDisplay <> "" then
	
	'grab specified article details
	set rsArticles = server.createobject("adodb.recordset")
	rsArticles.cursorlocation = 3
	sqlArticles = "SELECT Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name, Articles.Article_Level FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE Article_ID = "& intDisplay &";"
	rsArticles.open sqlArticles, adoConn
	if not (rsArticles.bof or rsArticles.eof) then
		intArticlesCount = rsArticles.recordcount
		arrArticlesData = rsArticles.getrows()
	else
		intArticlesCount = 0
	end if
	rsArticles.close
	set rsArticles = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'check for valid article specified
	if intArticlesCount = 0 then
		response.redirect(strBlogLocation &"/error.asp?Type=Article&Error=Article&Redirect=/default.asp")
	else
		strTitle = " >> "& arrArticlesData(1, 0)
	end if
	
	'check user meets the required level
	if arrArticlesData(11, 0) <> 0 and intLevel < arrArticlesData(11, 0) then
		response.redirect(strBlogLocation &"/error.asp?Type=Article&Error=Level&Redirect=/default.asp")
	end if
	
else
	
	'set sql query string based on database type
	select case strDatabase
		case "MSSQL"
			
			'specify category if required
			if intCategory = 0 then
				sqlArticles = "SELECT TOP "& intBlogArticleLimit &" Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE Article_Status = 1 AND Article_Level <= "& intLevel &" ORDER BY Article_Posted DESC;"
			else
				sqlArticles = "SELECT TOP "& intBlogArticleLimit &" Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE Article_Status = 1 AND Article_Category_ID = "& intCategory &" AND Article_Level <= "& intLevel &" ORDER BY Article_Posted DESC;"
			end if
			
		case "MySQL"
			
			'specify category if required
			if intCategory = 0 then
				sqlArticles = "SELECT Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE Article_Status = 1 AND Article_Level <= "& intLevel &" ORDER BY Article_Posted DESC LIMIT "& intBlogArticleLimit &";"
			else
				sqlArticles = "SELECT Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE Article_Status = 1 AND Article_Category_ID = "& intCategory &" AND Article_Level <= "& intLevel &" ORDER BY Article_Posted DESC LIMIT "& intBlogArticleLimit &";"
			end if
			
	end select
	
	'grab specified range of articles
	set rsArticles = server.createobject("adodb.recordset")
	rsArticles.cursorlocation = 3
	rsArticles.open sqlArticles, adoConn	
	if not (rsArticles.bof or rsArticles.eof) then
		arrArticlesData = rsArticles.getrows(intBlogArticleLimit)
		intArticlesCount = ubound(arrArticlesData, 2) + 1
	else
		intArticlesCount = 0
	end if
	rsArticles.close
	set rsArticles = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'set page title
	if intCategory = 0 or intArticlesCount = 0 then
		strTitle = " >> Home"
	else
		strTitle = " >> "& arrArticlesData(8, 0)
	end if
	
end if
%>

<title><%=strBlogTitle & strTitle%></title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				<!--#include virtual="/Includes/inc-navigation.asp"-->
			</div>
			
			<div id="content">
				<%
				'display blog breadcrumb
				call display_breadcrumb()
				
				
				'check if an article has been specified
				if intDisplay <> "" then					
					
					'draw article container
					response.write("<div class='article'>")
						
						'display article title
						response.write("<h1 class='articleheader'>"& SQL_decode(arrArticlesData(1, 0)) &"</h1>")
						
						'display article details
						response.write("<ul class='articledetails'>")
							
							response.write("<li><b>Posted by</b>: <a href='"& strBlogLocation &"/profile.asp?User="& arrArticlesData(9, 0) &"' title='"& arrArticlesData(10, 0) &"s profile'>"& arrArticlesData(10, 0) &"</a></li>")
							response.write("<li><b>On</b>: "& web_time(arrArticlesData(4, 0), strBlogTimeFormat, "Full") &"</li>")
							response.write("<li><b>In:</b> <a href='"& strBlogLocation &"/default.asp?Category="& arrArticlesData(7, 0) &"#Comments' title='Display "& SQL_decode(arrArticlesData(8, 0)) &"'>"& SQL_decode(arrArticlesData(8, 0)) &"</a></li>")
							
						response.write("</ul>")
						
						'check if an excerpt has been specified
						if arrArticlesData(2, 0) <> "" then
							
							'display article excerpt
							response.write("<div id='articleintroduction'>")
								
								response.write(SQL_decode(arrArticlesData(2, 0)))
								
							response.write("</div>")
							
						end if
						
						'display article
						response.write(SQL_decode(arrArticlesData(3, 0)))
						
						'check for images and whether the gallery is enabled
						if (isnull(arrArticlesData(6, 0)) = false and arrArticlesData(6, 0) <> "") and intBlogGalleryEnabled = 1 then
							
							'display thumbnail gallery
							call display_thumbs(SQL_decode(arrArticlesData(6, 0)))
							
						end if
						
					response.write("</div>")
					
					'check comments are enabled
					if intBlogCommentEnabled = 1 and arrArticlesData(5, 0) = 1 then
						
						'build comments container
						response.write("<div id='comments'>")
							
							'grab all comments for the specified article
							set rsComments = server.createobject("adodb.recordset")
							sqlComments = "SELECT Comment_ID, Comment_Author_Name, Comment_Author_Website, Comment_Date, Comment_Content FROM FB_Comments WHERE Comment_Article_ID = "& intDisplay &" AND Comment_Status = 1 ORDER BY Comment_Date ASC;"
							rsComments.cursorlocation = 3
							rsComments.open sqlComments, adoConn
							if not (rsComments.bof or rsComments.eof) then
								intCommentsCount = rsComments.recordcount
								arrCommentsData = rsComments.getrows()
							else
								intCommentsCount = 0
							end if
							rsComments.close
							set rsComments= nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'iniliase counter
							intCommentsLoop = 0
							
							'display comments header
							response.write("<a name='Comments'></a><h1>Comments</h1>")
							
							'check whether there are any comments
							if intCommentsCount = 0 then
								
								'build comments container
								response.write("<div class='comment'>")
									
									'display no comments message
									response.write("<p>")
									
										response.write("There have been no comments made on this article. Why not be the first and add your own comment using the form below.")
										
									response.write("</p>")
									
								response.write("</div>")
								
							else
								
								'loop through all comments
								do until intCommentsLoop = intCommentsCount
									
									'build comments container
									response.write("<div class='comment'>")
										
										'display comments header
										response.write("<ul class='commentdetails'>")
											
											'display comment number
											response.write("<li>#"& intCommentsLoop + 1 &"</li>")
											
											'check for comment website and display commenter details
											if arrCommentsData(2, intCommentsLoop) <> "" then
												response.write("<li><b>Posted by</b>: <a href='"& SQL_decode(arrCommentsData(2, intCommentsLoop)) &"' title='View "& SQL_decode(arrCommentsData(1, intCommentsLoop)) &"s website' rel='external'>"& SQL_decode(arrCommentsData(1, intCommentsLoop)) &"</a></li>")
											else
												response.write("<li><b>Posted by</b>: "& SQL_decode(arrCommentsData(1, intCommentsLoop)) &"</li>")
											end if
											
											'display posted date
											response.write("<li><b>On</b>: "& web_time(arrCommentsData(3, intCommentsLoop), strBlogTimeFormat, "Full") &"</li>")
											
											'check user level 
											if session("FB_UserLevel") >= 3 then
												response.write("<li><b>Options</b>: <a href='/admin/comments_edit.asp?Comment="& arrCommentsData(0, intCommentsLoop) &"' title='Edit comment'>Edit</a></li>")
											end if
											
										response.write("</ul>")
										
										'display comment
										response.write(SQL_decode(arrCommentsData(4, intCommentsLoop)))
										
									response.write("</div>")
									
									'increment counter
									intCommentsLoop = intCommentsLoop + 1
									
								loop
								
							end if
							
							'check user is logged in
							if session("FB_UserID") <> "" then

								'grab users details for form submission
								set rsDetails = server.createobject("adodb.recordset")
								sqlDetails = "SELECT User_Name, User_Email, User_Profile_Website FROM FB_Users WHERE User_ID = "& session("FB_UserID") &";"
								rsDetails.open sqlDetails, adoConn
								if not (rsDetails.bof or rsDetails.eof) then
									intDetailsCount = rsDetails.recordcount
									arrDetailsData = rsDetails.getrows()
								else
									intDetailsCount = 0
								end if
								rsDetails.close
								set rsDetails = nothing
								
								'increment query count
								intQuery = intQuery + 1
								
							end if
							
							'check if comments require registration
							if intBlogCommentRegistration = 1 then
								
								'check if the user is logged in
								if session("FB_UserID") <> "" then
									
									'build form container
									response.write("<div id='commentform'>")
										
										'display form header
										response.write("<h1>Leave a comment</h1>")
										
										'build comment submission form
										response.write("<form action='comment.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
											
											response.write("<p>")
												response.write("Please complete the form below to submit a comment on this article. A valid email address is required to submit a comment though it will not be displayed on the site.")
											response.write("</p>")
											
											response.write("<p>")
												response.write("HTML has been disabled but if you wish to add any hyprlinks or text formating you can use any of the following codes: [B]<b>bold text</b>[/B], [I]<i>italic text</i>[/I], [U]<u>underlined text</u>[/U], [S]<s>strike through text</s>[/S], [URL]http://www.yourlink.com[/URL], [URL=http//www.yourlink.com]your text[/URL]")
											response.write("</p>")
	
											response.write("<p>")
												response.write("<input id='author' name='author' type='text' value="""& arrDetailsData(0, 0) &""" size='22' maxlength='80' tabindex='1' readonly='readonly' /> <label for='author'>Name (required)</label>")
											response.write("</p>")
											
											response.write("<p>")
												response.write("<input id='email' name='email' type='text' value="""& arrDetailsData(1, 0) &""" size='22' maxlength='200' tabindex='2' readonly='readonly' /> <label for='email'>E-Mail (required)</label>")
											response.write("</p>")
											
											response.write("<p>")
												response.write("<input id='website' name='website' type='text' value="""& arrDetailsData(2, 0) &""" size='22' maxlength='200' tabindex='3' readonly='readonly' /> <label for='website'>Website</label>")
											response.write("</p>")
											
											response.write("<p>")
												response.write("<textarea name='comment' id='comment' tabindex='4'></textarea>")
											response.write("</p>")
											response.write("<input id='submit' name='submit' type='submit' tabindex='5' value=""Submit Comment"" />")
											response.write("<input id='article' name='article' type='hidden' value="""& intDisplay &""" />")
											response.write("<input id='redirect' name='redirect' type='hidden' value=""/default.asp?Display="& intDisplay &""" />")
											
										response.write("</form>")
										
									response.write("</div>")
									
								else
									
									'build form container
									response.write("<div id='commentform'>")
										
										'display form header
										response.write("<h1>Leave a comment</h1>")
										
										'display registered members only message
										response.write("<p>")
											response.write("Commenting is restricted to registered users only. Please register or login now to submit a comment.")
										response.write("</p>")
																					
									response.write("</div>")
									
								end if
								
							else
								
								'build form container
									response.write("<div id='commentform'>")
										
										'display form header
										response.write("<h1>Leave a comment</h1>")
										
										'build comment submission form
										response.write("<form action='comment.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
											
											response.write("<p>")
												response.write("Please complete the form below to submit a comment on this article. A valid email address is required to submit a comment though it will not be displayed on the site.")
											response.write("</p>")
											
											response.write("<p>")
												response.write("HTML has been disabled but if you wish to add any hyprlinks or text formating you can use any of the following codes: [B]<b>bold text</b>[/B], [I]<i>italic text</i>[/I], [U]<u>underlined text</u>[/U], [S]<s>strike through text</s>[/S], [URL]http://www.yourlink.com[/URL], [URL=http//www.yourlink.com]your text[/URL]")
											response.write("</p>")
	
											response.write("<p>")
												if session("FB_UserID") <> "" then
													response.write("<input id='author' name='author' type='text' value="""& arrDetailsData(0, 0) &""" size='22' maxlength='80' tabindex='1' readonly='readonly' /> <label for='author'>Name (required)</label>")
												else
													response.write("<input id='author' name='author' type='text' value=""name"" size='22' maxlength='80' tabindex='1' /> <label for='author'>Name (required)</label>")
												end if
											response.write("</p>")
											
											response.write("<p>")
												if session("FB_UserID") <> "" then
													response.write("<input id='email' name='email' type='text' value="""& arrDetailsData(1, 0) &""" size='22' maxlength='200' tabindex='2' readonly='readonly' /> <label for='email'>E-Mail (required)</label>")
												else
													response.write("<input id='email' name='email' type='text' value=""email address"" size='22' maxlength='200' tabindex='2' /> <label for='email'>E-Mail (required)</label>")
												end if
											response.write("</p>")
											
											response.write("<p>")
												if session("FB_UserID") <> "" then
													response.write("<input id='website' name='website' type='text' value="""& arrDetailsData(2, 0) &""" size='22' maxlength='200' tabindex='3' readonly='readonly' /> <label for='website'>Website</label>")
												else
													response.write("<input id='website' name='website' type='text' value=""website"" size='22' maxlength='200' tabindex='3' /> <label for='website'>Website</label>")
												end if
											response.write("</p>")
											
											response.write("<p>")
												response.write("<textarea id='comment' name='comment' tabindex='4'></textarea>")
											response.write("</p>")
											response.write("<input id='submit' name='submit' type='submit' tabindex='5' value=""Submit Comment"" />")
											response.write("<input id='article' name='article' type='hidden' value="""& intDisplay &""" />")
											response.write("<input id='redirect' name='redirect' type='hidden' value=""/default.asp?Display="& intDisplay &""" />")
											
										response.write("</form>")
										
									response.write("</div>")
								
							end if
							
						response.write("</div>")
						
					end if		
					
				else
					
					'check whether any articles have been returned
					if intArticlesCount = 0 then
						
						'display no articles header
						response.write("<h1>No recent articles</h1>")
						
						'check whether a category has been specified
						if intCategory <> 0 then
							
							'display no articles message
							response.write("<p>")
								response.write("There have been no articles posted to the "& strBlogTitle &" blog in the category that you have specified, please come back later.")
							response.write("</p>")
						
						else
							
							'display no articles message
							response.write("<p>")
								response.write("There have been no articles posted to the "& strBlogTitle &" blog, please come back later.")
							response.write("</p>")
							
						end if
						
					else
						
						'initialise counter
						intArticlesLoop = 0
						
						'loop through current articles
						do until intArticlesLoop =	intArticlesCount
							
							'draw article container
							response.write("<div class='article'>")
								
								'display article title
								response.write("<h1 class='articleheader'>"& SQL_decode(arrArticlesData(1, intArticlesLoop)) &"</h1>")
								
								'display article details
								response.write("<ul class='articledetails'>")
									
									response.write("<li><b>Posted by</b>: <a href='"& strBlogLocation &"/profile.asp?User="& arrArticlesData(9, intArticlesLoop) &"' title='"& arrArticlesData(10, intArticlesLoop) &"s profile'>"& arrArticlesData(10, intArticlesLoop) &"</a></li>")
									response.write("<li><b>On</b>: "& web_time(arrArticlesData(4, intArticlesLoop), strBlogTimeFormat, "Full") &"</li>")
									response.write("<li><b>In:</b> <a href='"& strBlogLocation &"/default.asp?Category="& arrArticlesData(7, intArticlesLoop) &"' title='Display "& SQL_decode(arrArticlesData(8, intArticlesLoop)) &"'>"& SQL_decode(arrArticlesData(8, intArticlesLoop)) &"</a></li>")
									
									'check comments are enabled
									if arrArticlesData(5, intArticlesLoop) = 1 and intBlogCommentEnabled = 1 then
										response.write("<li>(<a href='"& strBlogLocation &"/default.asp?Display="& arrArticlesData(0, intArticlesLoop) &"#Comments' title='Comments'>Comments</a>)</li>")
									end if
									
								response.write("</ul>")
								
								'check whether the article has an exceprt
								if arrArticlesData(2, intArticlesLoop) <> "" then
									
									'display article exceprt
									response.write(SQL_decode(arrArticlesData(2, intArticlesLoop)))
									
									'display full atricle link
									response.write("<p class='articledetails'>")								
										response.write("<a href='"& strBlogLocation &"/default.asp?Display="& arrArticlesData(0, intArticlesLoop) &"' title='Read all of "& SQL_decode(arrArticlesData(1, intArticlesLoop)) &"'>Read all of "& SQL_decode(arrArticlesData(1, intArticlesLoop)) &"</a>")
									response.write("</p>")
	
								else
									
									'display full article
									response.write(SQL_decode(arrArticlesData(3, intArticlesLoop)))
									
									'check for images and whether the gallery is enabled
									if (isnull(arrArticlesData(6, intArticlesLoop)) = false and arrArticlesData(6, intArticlesLoop) <> "") and intBlogGalleryEnabled = 1 then
										
										'display thumbnail gallery
										call display_thumbs(SQL_decode(arrArticlesData(6, intArticlesLoop)))
										
									end if	
																
								end if
								
							response.write("</div>")
							
							'increment counter
							intArticlesLoop = intArticlesLoop + 1
							
						loop
						
					end if
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<!--#include virtual="/Includes/inc-subcontent.asp"-->
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>